package com.proyek.akhir.kodel.ui.koperasi.produk

import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.recyclerview.widget.RecyclerView
import com.bumptech.glide.Glide
import com.proyek.akhir.kodel.R
import com.proyek.akhir.kodel.data.local.Produk
import kotlinx.android.synthetic.main.item_produk.view.*

class ProdukKoperasiAdapter(private val listProduk: List<Produk>) :
    RecyclerView.Adapter<ProdukKoperasiAdapter.ProdukViewHolder>() {

    inner class ProdukViewHolder(itemView: View) : RecyclerView.ViewHolder(itemView) {
        fun bind(produk: Produk) {
            with(itemView) {
                Glide.with(itemView.context)
                    .load(produk.imgProduk)
                    .into(imgProduk)
                namaProduk.text = produk.namaProduk
                hargaProduk.text = produk.hargaProduk
                categoryProduk.text = produk.categoryProduk
                itemView.setOnClickListener {
//                    context.startActivity(Intent(this.context, DetailProdukActivity::class.java))
                }
            }
        }
    }

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): ProdukViewHolder =
        ProdukViewHolder(
            LayoutInflater.from(parent.context).inflate(
                R.layout.item_produk, parent, false
            )
        )

    override fun getItemCount(): Int = listProduk.size

    override fun onBindViewHolder(holder: ProdukViewHolder, position: Int) {
        holder.bind(listProduk[position])
    }
}